       IDENTIFICATION DIVISION.
       PROGRAM-ID.    FORMAP.

      ************************************************************
      * FORMA DE MAPA                                            *
      * CAPTURA DATOS Y ENVIA LOCACION DEL MAPA                  *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".


       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02 FUNC                  PIC X(10).
           02 USUARIO               PIC X(50).
           02 PASSWORD              PIC X(50).
           02 LATITUD               PIC X(40).
           02 LONGITUD              PIC X(40).

       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "SHOW"
              PERFORM 100-SHOW-FORMA.
              
           IF FUNC = "GRABAR"
              PERFORM 200-GRABAR.
              
           IF FUNC = "DIBUJAR"
              PERFORM 300-DIBUJAR.


           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-SHOW-FORMA.
           MOVE "tpl\formap1.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
       
      * MUESTRA LOS DATOS QUE RECIBIO EL PROGRAMA
      * CON ESTOS DATOS PODEMOS HACER LO QUE DESEEMOS, GRABARLOS
      * EN UN ARCHIVO, VALIDAR, ETC.
      * INCLUSO PODEMOS ENVIARLOS A OTRO TEMPLATE
       200-GRABAR.
           MOVE "tpl\formap2.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.

           MOVE "USUARIO" TO VAR-NAME.
           MOVE USUARIO   TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.

           MOVE "PASSWORD" TO VAR-NAME.
           MOVE PASSWORD   TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.

           MOVE "LATITUD" TO VAR-NAME.
           MOVE LATITUD   TO VAR-VALUE
           PERFORM TPL-ADD-VAR.
           
           MOVE "LONGITUD" TO VAR-NAME.
           MOVE LONGITUD   TO VAR-VALUE
           PERFORM TPL-ADD-VAR.
           
       300-DIBUJAR.
           MOVE "tpl\formap3.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.

           MOVE "LATITUD" TO VAR-NAME.
           MOVE LATITUD   TO VAR-VALUE
           PERFORM TPL-ADD-VAR.

           MOVE "LONGITUD" TO VAR-NAME.
           MOVE LONGITUD   TO VAR-VALUE
           PERFORM TPL-ADD-VAR.



       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

