       IDENTIFICATION DIVISION.
       PROGRAM-ID.    UPLOAD.

      ************************************************************
      * DEMO DE COMO SUBIR ARCHIVOS AL SERVIDOR                  *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02 FUNC           PIC X(10).
           02 INFILE1        PIC X(150).
           02 INFILE2        PIC X(150).
           02 INFILE3        PIC X(150).

       77  IK                        PIC X.
       77  WK-COMANDO                PIC X(250).

       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "Show"
              PERFORM 100-SHOW
           ELSE
           IF FUNC = "Save"
              PERFORM 200-SAVE.
           
           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-SHOW.
           MOVE "tpl\upload.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
       200-SAVE.
           MOVE SPACES TO WK-COMANDO.
           STRING "cmd /c COPY ", INFILE1, " UPLOAD "
                  DELIMITED BY "  " INTO WK-COMANDO.
           CALL "SYSTEM" USING WK-COMANDO.
           
           PERFORM TPL-DISP-COMMAND.



       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.
      *     STOP RUN.

       END PROGRAM.

