       IDENTIFICATION DIVISION.
       PROGRAM-ID.    SESIONES.

      ************************************************************
      * DEMO DE COMO RECIBIR DIFERENTES BOTONES EN EL PROGRAMA   *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  VISITAS               PIC 9(05).

       77  IK                        PIC X.
       77  L-VISITAS                 PIC ZZZZZ9.

       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           MOVE "tpl\sesiones.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
           IF FUNC = "INICIO"
              PERFORM 100-INICIO.
              
           IF FUNC = "VISITA"
              PERFORM 200-VISITA.

           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-INICIO.
           MOVE "VISITAS" TO SESS-NAME.
           MOVE 1 TO VISITAS.
           MOVE VISITAS TO SESS-VALUE.
           PERFORM TPL-ADD-SESSION.
           
           MOVE "NUMVISITAS" TO VAR-NAME.
           MOVE VISITAS TO L-VISITAS.
           MOVE L-VISITAS TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.
       
       200-VISITA.
           MOVE "VISITAS" TO SESS-NAME.
           ADD 1 TO VISITAS.
           MOVE VISITAS TO SESS-VALUE.
           PERFORM TPL-ADD-SESSION.
           
           MOVE "NUMVISITAS" TO VAR-NAME.
           MOVE VISITAS TO L-VISITAS.
           MOVE L-VISITAS TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.

           


       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.
      *     STOP RUN.

       END PROGRAM.

