       IDENTIFICATION DIVISION.
       PROGRAM-ID.    EMAIL.

      ************************************************************
      * DEMO DE COMO ENVIAR EMAIL DESDE LA PAGINA WEB
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "CGILIB\CGI-OUT.SEL".
           
           SELECT EMAILDATA
                  ASSIGN TO INPUT-OUTPUT WF-EMAILDATA
                  ORGANIZATION IS LINE SEQUENTIAL
                  ACCESS MODE  IS SEQUENTIAL
                  FILE STATUS  IS STAT-EMAIL.


       DATA DIVISION.

       FILE SECTION.

       COPY "CGILIB\CGI-OUT.FD".
       
       FD  EMAILDATA
           LABEL RECORDS ARE OMITTED.
       01  LINEA         PIC X(1024).


       WORKING-STORAGE SECTION.

       COPY "CGILIB\TEMPLATE.WSS".
       
       COPY "CGILIB\COBEMAIL.WSS".
       
       77  STAT-EMAIL                PIC X(02).
       77  WF-EMAILDATA              PIC X(150).
       
       01  ARR-CONTENIDO.
           02 ARR-CONTENIDOX         OCCURS 4 TIMES.
              04 ARR-CONTENIDOY      PIC X(1024).


      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  DES                   PIC X(100).
           02  TITULO                PIC X(100).
           02  CONTENIDO             PIC X(4096).

       77  IK                        PIC X.

       LINKAGE SECTION.

       COPY "CGILIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON CGI-OUT EMAILDATA.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.

           IF FUNC = "Send"
              PERFORM 100-ENVIA-EMAIL
           ELSE
              MOVE "tpl\email.html" TO TPL-FILENAME.
              PERFORM TPL-ADD-FILENAME.
           

           CLOSE CGI-OUT.

           GO TO 999-EXIT.
           
       100-ENVIA-EMAIL.
           MOVE "C:\TEMP\EMAIL.TXT" TO WF-EMAILDATA.
           
           OPEN OUTPUT EMAILDATA.
           
           MOVE SPACES    TO FROM-NAME.
           MOVE DES       TO FROM-EMAIL.
           WRITE LINEA FROM EMAIL-FROM.

           MOVE SPACES      TO TO-NAME.
           MOVE "usuario@midominio.com"   TO TO-EMAIL.
           WRITE LINEA FROM EMAIL-TO.
           
           MOVE TITULO TO SUBJECT-TEXT.
           WRITE LINEA FROM EMAIL-SUBJECT.

           MOVE CONTENIDO TO ARR-CONTENIDO.
           WRITE LINEA FROM EMAIL-START-MEMO.
           IF ARR-CONTENIDOY(1) NOT = SPACES
              WRITE LINEA FROM ARR-CONTENIDOY(1).
           IF ARR-CONTENIDOY(2) NOT = SPACES
              WRITE LINEA FROM ARR-CONTENIDOY(2).
           IF ARR-CONTENIDOY(3) NOT = SPACES
              WRITE LINEA FROM ARR-CONTENIDOY(3).
           IF ARR-CONTENIDOY(4) NOT = SPACES
              WRITE LINEA FROM ARR-CONTENIDOY(4).
           WRITE LINEA FROM EMAIL-END-MEMO.

           
           CLOSE EMAILDATA.
           
           MOVE WF-EMAILDATA TO EMAIL-FILE.
           PERFORM TPL-SEND-EMAIL.


           


       COPY "CGILIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.
      *     STOP RUN.

       END PROGRAM EMAIL.

